Package be.cin.types.v1

# Class FaultType

java.lang.Object
be.cin.types.v1.FaultType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:15:42+02:00", comments="JAXB RI v4.0.5") public class FaultType extends Object implements Serializable
Contains the fault information.

The fault always consists of main fault information and detailed information. It is used for both SOAP Faults and Java Exceptions.

Java class for FaultType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FaultType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FaultCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FaultSource" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Message" type="{urn:be:cin:types:v1}StringLangType"/>
             <element name="Details" type="{urn:be:cin:types:v1}DetailsType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FaultType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DetailsType`
  `getDetails()`
  Gets the value of the details property.
  `String`
  `getFaultCode()`
  Gets the value of the faultCode property.
  `String`
  `getFaultSource()`
  Contains the name of the subsystem that caused the error event to occur.
  `StringLangType`
  `getMessage()`
  A human-readable error message.
  `void`
  `setDetails(DetailsType value)`
  Sets the value of the details property.
  `void`
  `setFaultCode(String value)`
  Sets the value of the faultCode property.
  `void`
  `setFaultSource(String value)`
  Sets the value of the faultSource property.
  `void`
  `setMessage(StringLangType value)`
  Sets the value of the message property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FaultType

    public FaultType()

- ## Method Details

  - ### getFaultCode

    public String getFaultCode()
    Gets the value of the faultCode property.
    Returns:
      possible object is `String`

  - ### setFaultCode

    public void setFaultCode(String value)
    Sets the value of the faultCode property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFaultSource

    public String getFaultSource()
    Contains the name of the subsystem that caused the error event to occur.
    Returns:
      possible object is `String`

  - ### setFaultSource

    public void setFaultSource(String value)
    Sets the value of the faultSource property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFaultSource()`

  - ### getMessage

    public StringLangType getMessage()
    A human-readable error message.
    Returns:
      possible object is `StringLangType`

  - ### setMessage

    public void setMessage(StringLangType value)
    Sets the value of the message property.
    Parameters:
      `value` - allowed object is `StringLangType`
    See Also:
      - `getMessage()`

  - ### getDetails

    public DetailsType getDetails()
    Gets the value of the details property.
    Returns:
      possible object is `DetailsType`

  - ### setDetails

    public void setDetails(DetailsType value)
    Sets the value of the details property.
    Parameters:
      `value` - allowed object is `DetailsType`